Bug 1559861 - Review Request: php-mock-phpunit2 - Mock built-in PHP functions with PHPUnit
Summary: Review Request: php-mock-phpunit2 - Mock built-in PHP functions with PHPUnit
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1559858
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-23 12:35 UTC by Remi Collet
Modified: 2018-04-06 15:01 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-03 13:25:28 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2018-03-23 12:35:22 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/mock/php-mock-phpunit2.git/plain/php-mock-phpunit2.spec?id=d7ce557b16b721d2705b3b12fbeb776f357dcb2d
SRPM URL: http://rpms.remirepo.net/SRPMS/php-mock-phpunit2-2.1.0-1.remi.src.rpm
Description: 
Mock built-in PHP functions (e.g. time()) with PHPUnit.
This package relies on PHP's namespace fallback policy.
No further extension is needed.


Fedora Account System Username: remi

Comment 1 Remi Collet 2018-03-23 12:51:52 UTC
php-mock-phpunit exists and works with old phpunit v5
this new version works with phpunit6 or phpunit7

Used by Zend Framework, example for php-zendframework-zend-session
https://git.remirepo.net/cgit/rpms/php/zendframework/php-zendframework-zend-session.git/commit/?id=c622703d84b241249ac0eec20bfa7e6f90a08cba

Comment 2 Robert-André Mauchin 2018-03-23 17:18:38 UTC
 - Remove the dot at the end of the summary

 - Own the following directory:

[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/phpmock2

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "do What The Fuck you want to Public License (v2)", "Unknown or
     generated". 15 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-mock-phpunit2/review-
     php-mock-phpunit2/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/phpmock2
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/phpmock2
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.11 DB version 1.30.0 built Mar 02 2018
     07:36:09 CET static analyze results in /home/bob/packaging/review/php-
     mock-phpunit2/review-php-mock-phpunit2/phpci.log


Rpmlint
-------
Checking: php-mock-phpunit2-2.1.0-1.fc29.noarch.rpm
          php-mock-phpunit2-2.1.0-1.fc29.src.rpm
php-mock-phpunit2.noarch: W: summary-ended-with-dot C Mock built-in PHP functions with PHPUnit.
php-mock-phpunit2.src: W: summary-ended-with-dot C Mock built-in PHP functions with PHPUnit.
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 4 Gwyn Ciesla 2018-03-27 13:31:47 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-mock-phpunit2

Comment 5 Fedora Update System 2018-03-28 08:08:33 UTC
php-mock-phpunit2-2.1.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fe44dcf390

Comment 6 Fedora Update System 2018-03-28 08:08:41 UTC
php-mock-phpunit2-2.1.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-14782c2ab9

Comment 7 Fedora Update System 2018-03-28 21:11:03 UTC
php-mock-phpunit2-2.1.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-14782c2ab9

Comment 8 Fedora Update System 2018-03-29 00:43:51 UTC
php-mock-phpunit2-2.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fe44dcf390

Comment 9 Fedora Update System 2018-04-03 13:25:28 UTC
php-mock-phpunit2-2.1.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-06 15:01:33 UTC
php-mock-phpunit2-2.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.